## kf6-ktextwidgets 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KTextWidgets VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMGenerateQDoc)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)
include(CMakeDependentOption)

set(ktextwidgets_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ktextwidgets_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KTEXTWIDGETS
                  VERSION_HEADER "${ktextwidgets_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextWidgetsConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)

option(WITH_TEXT_TO_SPEECH "Build text-to-speech support" ON)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (WITH_TEXT_TO_SPEECH)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED TextToSpeech)
    add_definitions(-DHAVE_SPEECH)
endif()

find_package(KF6Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Sonnet ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

add_definitions(-DTRANSLATION_DOMAIN=\"ktextwidgets6\")

ecm_set_disabled_deprecation_versions(
    QT 6.10
    KF 6.18
)

ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextWidgets")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6TextWidgetsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6TextWidgetsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF6TextWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6TextWidgetsTargets.cmake NAMESPACE KF6:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF6TextWidgetsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF6TextWidgetsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${ktextwidgets_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KTextWidgets COMPONENT Devel
       )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(KRichTextEdit
    TOOLTIP "Rich Text Editor (KF6)"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KRichTextWidget
    TOOLTIP "Rich Text Widget (KF6)"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KTextEdit
    TOOLTIP "Improved QTextEdit (KF6)"
    WHATSTHIS "An improved version of the QTextEdit with mail or system browser invocation support"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KPluralHandlingSpinBox
    TOOLTIP "A QSpinBox with plural handling for the suffix (KF6)"
    WHATSTHIS "A QSpinBox with plural handling for the suffix"
    GROUP "Input (KF6)"
)

ecm_add_qtdesignerplugin(ktextwidgetswidgets
    NAME KTextWidgetsWidgets
    OUTPUT_NAME ktextwidgets6widgets
    WIDGETS
        KRichTextEdit
        KRichTextWidget
        KTextEdit
        KPluralHandlingSpinBox
    LINK_LIBRARIES
        KF6::TextWidgets
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
kf6-ktextwidgets (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:55 +0100

=== debian/control ===
Source: kf6-ktextwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6completion-dev (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6configwidgets-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6sonnet-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-speech-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ktextwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktextwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktextwidgets
Rules-Requires-Root: no

Package: libkf6textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf6textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6completion-dev (>= 6.19.0~),
         libkf6config-dev (>= 6.19.0~),
         libkf6i18n-dev (>= 6.19.0~),
         libkf6sonnet-dev (>= 6.19.0~),
         libkf6textwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6textwidgets-doc (= ${source:Version}),
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf6textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6textwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24" dh_auto_test --no-parallel

## kf6-ktextwidgets 6.19.0+p24.04+vstable+git20251015.1052

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KTextWidgets VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-ktextwidgets (6.19.0+p24.04+vstable+git20251015.1052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:52:13 +0000

kf6-ktextwidgets (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:09:32 +0000

kf6-ktextwidgets (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:03:06 +0000

kf6-ktextwidgets (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:29:49 +0000

kf6-ktextwidgets (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:44:40 +0000

kf6-ktextwidgets (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:02:31 +0000

kf6-ktextwidgets (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:45:05 +0000

kf6-ktextwidgets (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:11:47 +0000

kf6-ktextwidgets (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:13:31 +0000

kf6-ktextwidgets (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:38:33 +0000

kf6-ktextwidgets (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:15:37 +0000

kf6-ktextwidgets (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:39:03 +0000

kf6-ktextwidgets (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:12:38 +0000

kf6-ktextwidgets (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:36:59 +0000

kf6-ktextwidgets (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:44:29 +0000

kf6-ktextwidgets (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:50:37 +0000

kf6-ktextwidgets (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:46:28 +0000

kf6-ktextwidgets (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:33:47 +1000

kf6-ktextwidgets (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:03:14 +0000

kf6-ktextwidgets (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:27:19 +0000

kf6-ktextwidgets (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-ktextwidgets (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-ktextwidgets
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-sonnet-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-speech-dev,
               qt6-tools-dev,
               qt6-tools-private-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ktextwidgets.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ktextwidgets
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ktextwidgets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6textwidgets-data, libkf6textwidgets6
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: kf6-ktextwidgets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-ki18n-dev,
         kf6-ktextwidgets (= ${binary:Version}),
         kf6-sonnet-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6textwidgets-dev, libkf6textwidgets-doc
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf6textwidgets6
Architecture: all
Depends: kf6-ktextwidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textwidgets-data
Architecture: all
Depends: kf6-ktextwidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textwidgets-dev
Architecture: all
Depends: kf6-ktextwidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textwidgets-doc
Architecture: all
Depends: kf6-ktextwidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-ktextwidgets 6.19.0+p24.04+vstable+git20251021.0600

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 option(WITH_TEXT_TO_SPEECH "Build text-to-speech support" ON)

=== debian/changelog ===
kf6-ktextwidgets (6.19.0+p24.04+vstable+git20251021.0600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:00:57 +0000

## kf6-ktextwidgets 6.19.0+p24.04+vunstable+git20251008.1153

=== debian/changelog ===
kf6-ktextwidgets (6.19.0+p24.04+vunstable+git20251008.1153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:53:24 +0000

## kf6-ktextwidgets 6.19.0+p24.04+vunstable+git20251015.1121

=== debian/changelog ===
kf6-ktextwidgets (6.19.0+p24.04+vunstable+git20251015.1121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:21:40 +0000

## kf6-ktextwidgets 6.19.0+p24.04+vunstable+git20251021.0410

=== debian/changelog ===
kf6-ktextwidgets (6.19.0+p24.04+vunstable+git20251021.0410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 04:10:14 +0000

## kf6-ktextwidgets 6.20.0

=== src/CMakeLists.txt ===
add_library(KF6TextWidgets)
add_library(KF6::TextWidgets ALIAS KF6TextWidgets)

set_target_properties(KF6TextWidgets PROPERTIES
    VERSION     ${KTEXTWIDGETS_VERSION}
    SOVERSION   ${KTEXTWIDGETS_SOVERSION}
    EXPORT_NAME TextWidgets
)

target_sources(KF6TextWidgets PRIVATE
    dialogs/klinkdialog.cpp
    dialogs/klinkdialog_p.h
    findreplace/kfind.cpp
    findreplace/kfinddialog.cpp
    findreplace/kfinddialog.h
    findreplace/kfinddialog_p.h
    findreplace/kfind.h
    findreplace/kfind_p.h
    findreplace/kreplace.cpp
    findreplace/kreplacedialog.cpp
    findreplace/kreplacedialog.h
    findreplace/kreplace.h
    widgets/kpluralhandlingspinbox.cpp
    widgets/kpluralhandlingspinbox.h
    widgets/krichtextedit.cpp
    widgets/krichtextedit.h
    widgets/krichtextedit_p.h
    widgets/krichtextwidget.cpp
    widgets/krichtextwidget.h
    widgets/ktextedit.cpp
    widgets/ktextedit.h
    widgets/ktextedit_p.h
    widgets/nestedlisthelper.cpp
    widgets/nestedlisthelper_p.h

)

ecm_generate_export_header(KF6TextWidgets
    BASE_NAME KTextWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.6
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set(ktextwidgets_INCLUDES
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/findreplace
  ${CMAKE_CURRENT_SOURCE_DIR}/widgets
)
target_include_directories(KF6TextWidgets PUBLIC "$<BUILD_INTERFACE:${ktextwidgets_INCLUDES}>"
)

target_include_directories(KF6TextWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KTextWidgets>")

target_link_libraries(KF6TextWidgets
PUBLIC
  Qt6::Widgets
  KF6::SonnetUi
  KF6::I18n
PRIVATE
  KF6::SonnetCore
  KF6::WidgetsAddons
  KF6::Completion
  KF6::ConfigGui
)

if (Qt6TextToSpeech_FOUND)
    target_link_libraries(KF6TextWidgets
      PRIVATE
        Qt6::TextToSpeech)
endif()

ecm_generate_headers(KTextWidgets_HEADERS
  HEADER_NAMES
  KRichTextEdit
  KRichTextWidget
  KTextEdit
  KPluralHandlingSpinBox

  RELATIVE widgets
  REQUIRED_HEADERS KTextWidgets_HEADERS
)
ecm_generate_headers(KTextWidgets_HEADERS
  HEADER_NAMES
  KFind
  KFindDialog
  KReplace
  KReplaceDialog

  RELATIVE findreplace
  REQUIRED_HEADERS KTextWidgets_HEADERS
)

install(TARGETS KF6TextWidgets EXPORT KF6TextWidgetsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ktextwidgets_export.h
  ${KTextWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KTextWidgets COMPONENT Devel
)

if (BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_generate_qdoc(KF6TextWidgets ktextwidgets.qdocconf)

=== debian/changelog ===
kf6-ktextwidgets (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:05 +0100

=== debian/control ===
Source: kf6-ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6colorscheme-dev (>= 6.13.0~),
               libkf6completion-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6sonnet-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-speech-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/ktextwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktextwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktextwidgets.git
Rules-Requires-Root: no

Package: libkf6textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf6textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6completion-dev (>= 6.20.0~),
         libkf6config-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6sonnet-dev (>= 6.20.0~),
         libkf6textwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6textwidgets-doc (= ${source:Version}),
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf6textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6textwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets

## kf6-ktextwidgets 6.20.0+p24.04+vunstable+git20251122.0807

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KTextWidgets VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -59,7 +59,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.18
+    KF 6.19
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-ktextwidgets (6.20.0+p24.04+vunstable+git20251122.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 08:08:00 +0000

kf6-ktextwidgets (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-ktextwidgets 6.20.0+p24.04+vunstable+git20251206.0356

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KTextWidgets VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-ktextwidgets (6.20.0+p24.04+vunstable+git20251206.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:56:33 +0000

## kf6-ktextwidgets 6.21.0

=== debian/changelog ===
kf6-ktextwidgets (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:30 +0000

kf6-ktextwidgets (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:09 +0000

=== debian/control ===
Source: kf6-ktextwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6completion-dev (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6configwidgets-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               libkf6sonnet-dev (>= 6.21.0~),
               libkf6widgetsaddons-dev (>= 6.21.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-speech-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ktextwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktextwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktextwidgets
Rules-Requires-Root: no

Package: libkf6textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf6textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6completion-dev (>= 6.21.0~),
         libkf6config-dev (>= 6.21.0~),
         libkf6i18n-dev (>= 6.21.0~),
         libkf6sonnet-dev (>= 6.21.0~),
         libkf6textwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6textwidgets-doc (= ${source:Version}),
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf6textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6textwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets

## kf6-ktextwidgets 6.21.0+p24.04+vstable+git20251212.0218

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.19
+    KF 6.21
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-ktextwidgets (6.21.0+p24.04+vstable+git20251212.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 02:18:24 +0000

kf6-ktextwidgets (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:55 +1000

## kf6-ktextwidgets 6.21.0+p24.04+vstable+git20251226.0224

=== debian/changelog ===
kf6-ktextwidgets (6.21.0+p24.04+vstable+git20251226.0224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:24:32 +0000

## kf6-ktextwidgets 6.21.0+p24.04+vstable+git20260103.0249

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KTextWidgets VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -58,7 +58,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"ktextwidgets6\")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
     KF 6.21
 )

=== debian/changelog ===
kf6-ktextwidgets (6.21.0+p24.04+vstable+git20260103.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:49:16 +0000

## kf6-ktextwidgets 6.22.0

=== debian/changelog ===
kf6-ktextwidgets (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6completion-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6configwidgets-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6sonnet-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6completion-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6sonnet-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-multimedia-dev (>= 6.8.0~),
@@ -42,10 +42,10 @@
 Package: libkf6textwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6completion-dev (>= 6.21.0~),
-         libkf6config-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
-         libkf6sonnet-dev (>= 6.21.0~),
+Depends: libkf6completion-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
+         libkf6sonnet-dev (>= 6.22.0~),
          libkf6textwidgets6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},

## kf6-ktextwidgets 6.22.0+p24.04+vstable+git20260106.1042

=== debian/changelog ===
kf6-ktextwidgets (6.22.0+p24.04+vstable+git20260106.1042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 10:42:21 +0000

kf6-ktextwidgets (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:18 +1000

## kf6-ktextwidgets 6.22.0+p24.04+vstable+git20260111.0335

=== debian/changelog ===
kf6-ktextwidgets (6.22.0+p24.04+vstable+git20260111.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 03:35:58 +0000

## kf6-ktextwidgets 6.22.0+p24.04+vstable+git20260126.0956

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-ktextwidgets (6.22.0+p24.04+vstable+git20260126.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:56:36 +0000

## kf6-ktextwidgets 6.22.0+p24.04+vunstable+git20260123.0401

=== debian/changelog ===
kf6-ktextwidgets (6.22.0+p24.04+vunstable+git20260123.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 04:01:32 +0000

## kf6-ktextwidgets 6.22.0+p24.04+vunstable+git20260126.0819

=== debian/changelog ===
kf6-ktextwidgets (6.22.0+p24.04+vunstable+git20260126.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:19:27 +0000

## kf6-ktextwidgets 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KTextWidgets VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-ktextwidgets (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:55 +0100

=== debian/control ===
Source: kf6-ktextwidgets
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6colorscheme-dev (>= 6.13.0~),
               libkf6completion-dev (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6sonnet-dev (>= 6.23.0~),
               libkf6widgetsaddons-dev (>= 6.23.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-speech-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/ktextwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktextwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktextwidgets.git

Package: libkf6textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf6textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6completion-dev (>= 6.23.0~),
         libkf6config-dev (>= 6.23.0~),
         libkf6i18n-dev (>= 6.23.0~),
         libkf6sonnet-dev (>= 6.23.0~),
         libkf6textwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6textwidgets-doc (= ${source:Version}),
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf6textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6textwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets
 An assortment of text-related widgets
